[arch-commits] Commit in xorg-fonts-100dpi/trunk (PKGBUILD xfonts.install)

Eric Bélanger eric at archlinux.org
Thu Apr 23 02:10:10 EDT 2009


    Date: Thursday, April 23, 2009 @ 02:10:09
  Author: eric
Revision: 36468

upgpkg: xorg-fonts-100dpi 1.0.1-2
    Added license

Modified:
  xorg-fonts-100dpi/trunk/PKGBUILD
  xorg-fonts-100dpi/trunk/xfonts.install

----------------+
 PKGBUILD       |   10 ++++++----
 xfonts.install |    5 -----
 2 files changed, 6 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-23 02:40:34 UTC (rev 36467)
+++ PKGBUILD	2009-04-23 06:10:09 UTC (rev 36468)
@@ -3,10 +3,11 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-fonts-100dpi
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org 100dpi fonts"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('xorg-fonts-encodings' 'xorg-fonts-alias' 'xorg-font-utils' 'fontconfig')
 groups=('xorg')
 install=xfonts.install
@@ -20,16 +21,17 @@
          '173352ddec3d26e2b91df1edcf1ae85b')
 
 build() {
-  cd ${startdir}/src
+  cd ${srcdir}
   for dir in font-*-100dpi-1.0.0 font-*-100dpi-1.0.1; do
     pushd ${dir}
       ./configure --prefix=/usr \
                   --with-mapfiles=/usr/share/fonts/util \
 		  --with-fontdir=/usr/share/fonts/100dpi
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
+      make DESTDIR=${pkgdir} install || return 1
+      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-100dpi-*}
     popd
   done
-  rm -f ${startdir}/pkg/usr/share/fonts/100dpi/fonts.*
+  rm -f ${pkgdir}/usr/share/fonts/100dpi/fonts.*
 }
 

Modified: xfonts.install
===================================================================
--- xfonts.install	2009-04-23 02:40:34 UTC (rev 36467)
+++ xfonts.install	2009-04-23 06:10:09 UTC (rev 36468)
@@ -13,8 +13,3 @@
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list